Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187412 - StringIndexOutOfBoundsException: String index out of range: 1
StringIndexOutOfBoundsException: String index out of range: 1
Status: VERIFIED FIXED
Product: serverplugins
Classification: Unclassified
Component: WebLogic
6.x
All All
: P3 with 1 vote (vote)
: 7.0
Assigned To: Petr Hejl
issues@serverplugins
69patch1
EXCEPTIONS_REPORT, 69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 06:29 UTC by danpfe
Modified: 2010-07-19 09:08 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (7.24 KB, text/plain)
2010-06-10 06:30 UTC, danpfe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description danpfe 2010-06-10 06:29:57 UTC
Build: NetBeans IDE Dev (Build 201006090001)
VM: Java HotSpot(TM) Client VM, 16.3-b01, Java(TM) SE Runtime Environment, 1.6.0_20-b02
OS: Windows 7

User Comments:
GUEST: I couldn register a weblogic 10.3 as a server instaled

GUEST: Adding an Oracle Weblogic server

danpfe: Trying to add a Weblogic 10.3.3 server (which in my case is located at c:\bea10) to Servers.




Stacktrace: 
java.lang.StringIndexOutOfBoundsException: String index out of range: 1
   at java.lang.String.charAt(String.java:686)
   at java.util.regex.Matcher.appendReplacement(Matcher.java:703)
   at java.util.regex.Matcher.replaceAll(Matcher.java:813)
   at java.lang.String.replaceAll(String.java:2189)
   at org.netbeans.modules.j2ee.weblogic9.ui.wizard.ServerPropertiesVisual.getRegisteredDomains(ServerPropertiesVisual.java:250)
   at org.netbeans.modules.j2ee.weblogic9.ui.wizard.ServerPropertiesVisual.getServerInstances(ServerPropertiesVisual.java:301)
Comment 1 danpfe 2010-06-10 06:30:01 UTC
Created attachment 99965 [details]
stacktrace
Comment 2 Petr Hejl 2010-06-15 11:03:06 UTC
Fixed in web-main e26665606b68.
Comment 3 Quality Engineering 2010-06-16 03:29:36 UTC
Integrated into 'main-golden', will be available in build *201006160001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e26665606b68
User: Petr Hejl <phejl@netbeans.org>
Log: #187412 StringIndexOutOfBoundsException: String index out of range: 1
Comment 4 rbalada 2010-06-16 08:56:46 UTC
Please verify bugfix for this bug, so it can be included in release691 repository.

Thanks,
-R
Comment 5 Petr Hejl 2010-06-16 09:02:29 UTC
Martin can you verify please? AFAIK reproducible only on Windows.
Comment 6 Jaroslav Pospisil 2010-06-17 11:57:25 UTC
verified in 201006170001
Comment 7 rbalada 2010-06-21 14:05:21 UTC
main #e26665606b68 transplanted to release691 #45408310a6dd
Comment 8 puppala 2010-07-08 13:09:40 UTC
When will this fix be available ?

I have NB 6.9 Build 201006101454, and through the update mechanism it hasn't got any newer than that !?
Comment 9 Jaroslav Pospisil 2010-07-19 09:08:47 UTC
v. in NB6.9.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo